## org.eclipse.datatools.sqltools.parsers.sql.xml.query
Class SQLXMLQueryParserprs

    java.lang.Object
      org.eclipse.datatools.sqltools.parsers.sql.xml.query.SQLXMLQueryParserprs

All Implemented Interfaces:
  lpg.lpgjavaruntime.ParseTable, SQLXMLQueryParsersym

    public class SQLXMLQueryParserprs

extends java.lang.Object
implements lpg.lpgjavaruntime.ParseTable, SQLXMLQueryParsersym

Nested Class Summary
`static interface` `SQLXMLQueryParserprs.Asb`
`static interface` `SQLXMLQueryParserprs.Asr`
`static interface` `SQLXMLQueryParserprs.BaseAction`
`static interface` `SQLXMLQueryParserprs.BaseCheck`
`static interface` `SQLXMLQueryParserprs.DefaultReduce`
`static interface` `SQLXMLQueryParserprs.DefaultShift`
`static interface` `SQLXMLQueryParserprs.InSymb`
`static interface` `SQLXMLQueryParserprs.IsKeyword`
`static interface` `SQLXMLQueryParserprs.Name`
`static interface` `SQLXMLQueryParserprs.Nasb`
`static interface` `SQLXMLQueryParserprs.Nasr`
`static interface` `SQLXMLQueryParserprs.NonterminalIndex`
`static interface` `SQLXMLQueryParserprs.ScopeLa`
`static interface` `SQLXMLQueryParserprs.ScopeLhs`
`static interface` `SQLXMLQueryParserprs.ScopePrefix`
`static interface` `SQLXMLQueryParserprs.ScopeRhs`
`static interface` `SQLXMLQueryParserprs.ScopeState`
`static interface` `SQLXMLQueryParserprs.ScopeStateSet`
`static interface` `SQLXMLQueryParserprs.ScopeSuffix`
`static interface` `SQLXMLQueryParserprs.ShiftCheck`
`static interface` `SQLXMLQueryParserprs.ShiftState`
`static interface` `SQLXMLQueryParserprs.TermAction0`
`static interface` `SQLXMLQueryParserprs.TermAction1`
`static interface` `SQLXMLQueryParserprs.TermCheck0`
`static interface` `SQLXMLQueryParserprs.TermCheck1`
`static interface` `SQLXMLQueryParserprs.TerminalIndex`

Field Summary
`static int` `ACCEPT_ACTION`
`static char[]` `asb`
`static char[]` `asr`
`static boolean` `BACKTRACK`
`static char[]` `baseAction`
`static short[]` `baseCheck`
`static char[]` `defaultReduce`
`static char[]` `defaultShift`
`static int` `EOFT_SYMBOL`
`static int` `EOLT_SYMBOL`
`static int` `ERROR_ACTION`
`static int` `ERROR_SYMBOL`
`static int` `IDENTIFIER_SYMBOL`
`static char[]` `inSymb`
`static byte[]` `isKeyword`
`static int` `LA_STATE_OFFSET`
`static char[]` `lhs`
`static int` `MAX_LA`
`static int` `MAX_NAME_LENGTH`
`static java.lang.String[]` `name`
`static char[]` `nasb`
`static char[]` `nasr`
`static char[]` `nonterminalIndex`
`static int` `NT_OFFSET`
`static int` `NUM_NONTERMINALS`
`static int` `NUM_RULES`
`static int` `NUM_STATES`
`static int` `NUM_SYMBOLS`
`static short[]` `rhs`
`static int` `SCOPE_SIZE`
`static int` `SCOPE_UBOUND`
`static char[]` `scopeLa`
`static char[]` `scopeLhs`
`static char[]` `scopePrefix`
`static char[]` `scopeRhs`
`static char[]` `scopeState`
`static char[]` `scopeStateSet`
`static char[]` `scopeSuffix`
`static int` `SEGMENT_SIZE`
`static char[]` `shiftCheck`
`static char[]` `shiftState`
`static int` `START_STATE`
`static char[]` `termAction`
`static char[]` `termCheck`
`static char[]` `terminalIndex`

Fields inherited from interface org.eclipse.datatools.sqltools.parsers.sql.xml.query.SQLXMLQueryParsersym

`isValidForParser, orderedTerminalSymbols, TK__FOREIGNKEY, TK__PRIMARYKEY, TK_ABSENT, TK_ACCESS, TK_ACCORDING, TK_ACCTNG, TK_ACTION, TK_ACTIVATE, TK_ADD, TK_ADMIN, TK_ADMINISTRATION, TK_AFTER, TK_AGE, TK_ALIAS, TK_ALL, TK_ALLOCATE, TK_ALLOW, TK_ALTER, TK_ALTERIN, TK_ALWAYS, TK_AND, TK_ANY, TK_APPEND, TK_APPL_ID, TK_APPL_NAME, TK_APPLNAME, TK_APPROXIMATE_NUMERIC_LITERAL, TK_ARRAY, TK_AS, TK_ASC, TK_ASCII, TK_ASENSITIVE, TK_ASSIGNMENT, TK_ASSOCIATE, TK_AST, TK_ASTERISK, TK_ASUTIME, TK_AT, TK_ATOMIC, TK_ATTRIBUTE, TK_ATTRIBUTES, TK_AUTH_ID, TK_AUTHID, TK_AUTHORIZATION, TK_AUTOMATIC, TK_AUTOSTART, TK_AVAILABLE, TK_B, TK_BASE64, TK_BEFORE, TK_BEGIN, TK_BERNOULLI, TK_BETWEEN, TK_BIGINT, TK_BINARY, TK_BIND, TK_BINDADD, TK_BIT, TK_BIT_STRING_LITERAL, TK_BLOB, TK_BLOCKED, TK_BLOCKSIZE, TK_BOTH, TK_BUFFER, TK_BUFFERPOOL, TK_BUFFERPOOLS, TK_BUFFERSIZE, TK_BUILD, TK_BY, TK_BYPASS, TK_C, TK_CACHE, TK_CACHING, TK_CALL, TK_CALLED, TK_CALLER, TK_CAPTURE, TK_CARDINALITIES, TK_CARDINALITY, TK_CASCADE, TK_CASCADED, TK_CASE, TK_CAST, TK_CCSID, TK_CHANGE, TK_CHANGED, TK_CHANGES, TK_CHAR, TK_CHAR_STRING_LITERAL, TK_CHARACTER, TK_CHECK, TK_CHECKED, TK_CLIENT, TK_CLOB, TK_CLOSE, TK_CLR, TK_CLUSTER, TK_COBOL, TK_COLLECT, TK_COLLID, TK_COLON, TK_COLUMN, TK_COLUMNS, TK_COMM, TK_COMMA, TK_COMMENT, TK_COMMENT_STRING, TK_COMMIT, TK_COMMITTED, TK_COMPACT, TK_COMPARE, TK_COMPARISONS, TK_COMPRESS, TK_COMPRESSION, TK_CONCAT, TK_CONCAT_OPERATOR, TK_CONDITION, TK_CONN, TK_CONNECT, TK_CONNECTIONS, TK_CONNECTOPT, TK_CONNHEADER, TK_CONNMEMUSE, TK_CONSERVATIVE, TK_CONSTRAINT, TK_CONSTRAINTS, TK_CONSTRUCTOR, TK_CONTAINERS, TK_CONTAINS, TK_CONTENT, TK_CONTINUE, TK_CONTINUOUSLY, TK_CONTROL, TK_COPY, TK_COUNT, TK_COUNT_BIG, TK_CPU, TK_CREATE, TK_CREATE_EXTERNAL_ROUTINE, TK_CREATE_NOT_FENCED, TK_CREATE_NOT_FENCED_ROUTINE, TK_CREATEIN, TK_CREATETAB, TK_CS, TK_CUBE, TK_CURRENT, TK_CURRENT_DATE, TK_CURRENT_DEFAULT_TRANSFORM_GROUP, TK_CURRENT_PATH, TK_CURRENT_ROLE, TK_CURRENT_TIME, TK_CURRENT_TIMESTAMP, TK_CURRENT_TRANSFORM_GROUP_FOR_TYPE, TK_CURRENT_USER, TK_CURRVAL, TK_CURSOR, TK_CURSORS, TK_CYCLE, TK_DATA, TK_DATABASE, TK_DATALINK, TK_DATE, TK_DAY, TK_DAYS, TK_DB, TK_DB2_RETURN_STATUS, TK_DB2_TOKEN_STRING, TK_DB2DARI, TK_DB2GENERAL, TK_DB2GENRL, TK_DB2OPTIONS, TK_DB2SPL, TK_DB2SQL, TK_DBADM, TK_DBCLOB, TK_DBINFO, TK_DBMEMUSE, TK_DBPARTITIONNUM, TK_DBPARTITIONNUMS, TK_DEACTIVATE, TK_DEADLOCK, TK_DEADLOCKS, TK_DEC, TK_DECIMAL, TK_DECLARE, TK_DEFAULT, TK_DEFAULTS, TK_DEFER, TK_DEFERRED, TK_DEFINE, TK_DEFINITION, TK_DEGREE, TK_DELETE, TK_DELIMITED_IDENTIFIER, TK_DELIMITED_TYPE_IDENTIFIER, TK_DESC, TK_DESCRIPTOR, TK_DETAILED, TK_DETAILS, TK_DETERMINED, TK_DETERMINISTIC, TK_DEVICE, TK_DIAGNOSTICS, TK_DIMENSIONS, TK_DIRTY, TK_DISABLE, TK_DISALLOW, TK_DISPATCH, TK_DISTINCT, TK_DISTRIBUTION, TK_DLCONN, TK_DLLOCK, TK_DO, TK_DOCUMENT, TK_DOUBLE, TK_DOUBLE_PERIOD, TK_DOUBLE_QUOTE, TK_DROP, TK_DROPIN, TK_DROPPED, TK_DYNAMIC, TK_EACH, TK_ELEMENT, TK_ELSE, TK_ELSEIF, TK_EMBEDDED_VARIABLE_NAME, TK_EMPTY, TK_ENABLE, TK_ENCODING, TK_ENCRYPTION, TK_END, TK_ENDING, TK_ENFORCED, TK_EOF, TK_EOLN, TK_EQUALS_OPERATOR, TK_ERASE, TK_ESCAPE, TK_ESTIMATE, TK_EUR, TK_EVALUATE, TK_EVENT, TK_EXACT, TK_EXACT_NUMERIC_LITERAL, TK_EXCEPT, TK_EXCEPTION, TK_EXCLUDE, TK_EXCLUDES, TK_EXCLUDING, TK_EXCLUSIVE, TK_EXECNODE, TK_EXECUTE, TK_EXISTS, TK_EXIT, TK_EXPAND, TK_EXPLAIN, TK_EXPRESSION, TK_EXTEND, TK_EXTENDED, TK_EXTENSION, TK_EXTENTSIZE, TK_EXTERNAL, TK_FALSE, TK_FEDERATED, TK_FEDERATED_TOOL, TK_FENCED, TK_FETCH, TK_FILE, TK_FILTER, TK_FINAL, TK_FIRST, TK_FLOAT, TK_FLUSH, TK_FOLLOWING, TK_FOR, TK_FORCE, TK_FOREIGN, TK_FOUND, TK_FREE, TK_FREEPAGE, TK_FROM, TK_FS, TK_FULL, TK_FUNCTION, TK_G, TK_GBPCACHE, TK_GENERAL, TK_GENERATE, TK_GENERATED, TK_GET, TK_GLOBAL, TK_GOTO, TK_GRANT, TK_GRAPHIC, TK_GREATER_THAN_OPERATOR, TK_GREATER_THAN_OR_EQUALS_OPERATOR, TK_GROUP, TK_GROUPING, TK_HANDLER, TK_HASHING, TK_HAVING, TK_HEX, TK_HEX_STRING_LITERAL, TK_HIDDEN, TK_HIERARCHY, TK_HIGH, TK_HOLD, TK_HOSTVARIABLE, TK_HOUR, TK_HOURS, TK_HPJ, TK_ID, TK_IDENTITY, TK_IF, TK_IGNORE, TK_IMMEDIATE, TK_IMPLICIT_SCHEMA, TK_IN, TK_INCLUDE, TK_INCLUDES, TK_INCLUDING, TK_INCREMENT, TK_INCREMENTAL, TK_INDEX, TK_INDEXES, TK_INDICATOR, TK_INFIX, TK_INFO, TK_INHERIT, TK_INITIAL_INSTS, TK_INITIAL_IOS, TK_INITIALLY, TK_INLINE, TK_INNER, TK_INOUT, TK_INPUT, TK_INSENSITIVE, TK_INSERT, TK_INSTANTIABLE, TK_INSTEAD, TK_INSTS_PER_ARGBYTE, TK_INSTS_PER_INVOC, TK_INT, TK_INTEGER, TK_INTEGRITY, TK_INTERSECT, TK_INTO, TK_IO, TK_IOS_PER_ARGBYTE, TK_IOS_PER_INVOC, TK_IS, TK_ISO, TK_ISOLATION, TK_ITERATE, TK_JAVA, TK_JIS, TK_JOIN, TK_K, TK_KEEP, TK_KEY, TK_KEYS, TK_L, TK_LANGUAGE, TK_LARGE, TK_LAST, TK_LATERAL, TK_LC_CTYPE, TK_LEADING, TK_LEAVE, TK_LEFT, TK_LEFT_BRACKET, TK_LEFT_BRACKET_TRIGRAPH, TK_LEFT_PAREN, TK_LENGTH, TK_LESS_THAN_OPERATOR, TK_LESS_THAN_OR_EQUALS_OPERATOR, TK_LEVEL, TK_LEVEL2, TK_LIBRARY, TK_LIBRARYADM, TK_LIKE, TK_LIMIT, TK_LINK, TK_LINKTYPE, TK_LOAD, TK_LOCAL, TK_LOCALE, TK_LOCALTIME, TK_LOCALTIMESTAMP, TK_LOCATION, TK_LOCATOR, TK_LOCATORS, TK_LOCK, TK_LOCKS, TK_LOCKSIZE, TK_LOG, TK_LOGGED, TK_LONG, TK_LONGVAR, TK_LOOP, TK_LOW, TK_M, TK_MAIN_PROG, TK_MANAGED, TK_MANUALSTART, TK_MAPPING, TK_MATCHED, TK_MATERIALIZED, TK_MAXFILES, TK_MAXFILESIZE, TK_MAXVALUE, TK_MDC, TK_MERGE, TK_MESSAGE_TEXT, TK_METHOD, TK_METHODS, TK_MICROSECOND, TK_MICROSECONDS, TK_MINPCTUSED, TK_MINUS_SIGN, TK_MINUTE, TK_MINUTES, TK_MINVALUE, TK_MIXED, TK_MODE, TK_MODIFIES, TK_MONITOR, TK_MONTH, TK_MONTHS, TK_MOVEMENT, TK_MULTISET, TK_N, TK_NAME, TK_NAMESPACE, TK_NATIONAL_CHAR_STRING_LITERAL, TK_NATIONAL_HEX_STRING_LITERAL, TK_NEW, TK_NEW_TABLE, TK_NEXT, TK_NEXTVAL, TK_NICKNAME, TK_NIL, TK_NO, TK_NOCACHE, TK_NOCYCLE, TK_NODE, TK_NODEGROUP, TK_NODES, TK_NOMAXVALUE, TK_NOMINVALUE, TK_NONBLOCKED, TK_NONE, TK_NOORDER, TK_NOT, TK_NOT_EQUALS_OPERATOR, TK_NULL, TK_NULLS, TK_NUM, TK_NUM_FREQVALUES, TK_NUM_QUANTILES, TK_NUMBLOCKPAGES, TK_NUMERIC, TK_OBJECT, TK_OF, TK_OFF, TK_OLD, TK_OLD_TABLE, TK_OLE, TK_OLEDB, TK_ON, TK_ONCE, TK_ONLINE, TK_ONLY, TK_OPEN, TK_OPTIMIZATION, TK_OPTIMIZE, TK_OPTION, TK_OPTIONS, TK_OR, TK_ORDER, TK_ORDINALITY, TK_ORGANIZE, TK_OUT, TK_OUTER, TK_OVER, TK_OVERFLOW, TK_OVERHEAD, TK_OVERRIDING, TK_P, TK_PACKAGE, TK_PAGE, TK_PAGESIZE, TK_PARALLEL, TK_PARAMETER, TK_PARAMETER_MARKER, TK_PARSE_ERROR, TK_PARTITION, TK_PARTITIONING, TK_PARTITIONINGS, TK_PASSING, TK_PASSTHRU, TK_PASSWORD, TK_PATH, TK_PATROLLER, TK_PCTDEACTIVATE, TK_PCTFREE, TK_PENDING, TK_PERCENT_ARGBYTES, TK_PERIOD, TK_PERMISSION, TK_PI, TK_PIECESIZE, TK_PIPE, TK_PLAN, TK_PLUS_SIGN, TK_PRECEDING, TK_PRECISION, TK_PREDICATES, TK_PREFETCHSIZE, TK_PREPARE, TK_PRESERVE, TK_PREVIOUS, TK_PREVVAL, TK_PRIMARY, TK_PRIQTY, TK_PRIVILEGES, TK_PROCEDURE, TK_PROFILE, TK_PROGRAM, TK_PROPAGATE, TK_PROTOCOL, TK_PRUNE, TK_PUBLIC, TK_QUERY, TK_QUERYNO, TK_QUERYTAG, TK_QUESTION_MARK, TK_QUIESCE_CONNECT, TK_QUOTE, TK_RANGE, TK_RATE, TK_RATIO, TK_READ, TK_READS, TK_REAL, TK_RECOMMEND, TK_RECONCILE, TK_RECOVERY, TK_RECREATE, TK_REDUCE, TK_REF, TK_REFERENCE, TK_REFERENCES, TK_REFERENCING, TK_REFRESH, TK_REGISTERS, TK_REGULAR, TK_REGULAR_IDENTIFIER, TK_RELEASE, TK_REMAIN, TK_REMOTE, TK_RENAME, TK_REOPT, TK_REPEAT, TK_REPEATABLE, TK_REPLACE, TK_REPLICATED, TK_REQUIRING, TK_RESET, TK_RESIDENT, TK_RESIGNAL, TK_RESIZE, TK_RESOLVE, TK_RESTART, TK_RESTORE, TK_RESTRICT, TK_RESULT, TK_RESULT_SET_LOCATOR, TK_RETAIN, TK_RETURN, TK_RETURN_STATUS, TK_RETURNING, TK_RETURNS, TK_REVERSE, TK_REVOKE, TK_RIGHT, TK_RIGHT_ARROW, TK_RIGHT_BRACKET, TK_RIGHT_BRACKET_TRIGRAPH, TK_RIGHT_PAREN, TK_ROLLBACK, TK_ROLLUP, TK_ROUTINE, TK_ROW, TK_ROW_COUNT, TK_ROWS, TK_RR, TK_RS, TK_RUN, TK_S, TK_SAMPLED, TK_SAVEPOINT, TK_SBCS, TK_SCANS, TK_SCHEMA, TK_SCOPE, TK_SCRATCHPAD, TK_SCROLL, TK_SEARCH, TK_SECOND, TK_SECONDS, TK_SECQTY, TK_SECURITYADM, TK_SELECT, TK_SELECTION, TK_SELECTIVE, TK_SELECTIVITY, TK_SELF, TK_SEMICOLON, TK_SENSITIVE, TK_SEQUENCE, TK_SERIALIZABLE, TK_SERVER, TK_SESSION, TK_SESSION_USER, TK_SET, TK_SETS, TK_SETTING, TK_SHARE, TK_SHRLEVEL, TK_SIGNAL, TK_SIMPLE, TK_SIZE, TK_SMALLINT, TK_SNAPSHOT, TK_SOLIDUS, TK_SOME, TK_SOURCE, TK_SPECIAL, TK_SPECIFIC, TK_SPECIFICATION, TK_SPLIT, TK_SQL, TK_SQLDATA, TK_SQLERROR, TK_SQLEXCEPTION, TK_SQLID, TK_SQLMACRO, TK_SQLSTATE, TK_SQLWARNING, TK_SSA, TK_STABILITY, TK_STAGING, TK_START, TK_STARTING, TK_STATE, TK_STATEMENT, TK_STATEMENT_TERMINATOR, TK_STATEMENTS, TK_STATIC, TK_STATISTICS, TK_STAY, TK_STMT, TK_STOGROUP, TK_STORAGE, TK_STORED, TK_STRIP, TK_STRIPE, TK_STYLE, TK_SUB, TK_SUBSECTION, TK_SUFFIXED_UNSIGNED_INTEGER, TK_SUMMARY, TK_SWITCH, TK_SYMMETRIC, TK_SYNONYM, TK_SYSTEM, TK_SYSTEM_USER, TK_T, TK_TABLE, TK_TABLES, TK_TABLESAMPLE, TK_TABLESPACE, TK_TABLESPACES, TK_TARGET, TK_TEMPLATE, TK_TEMPORARY, TK_THEN, TK_THREADSAFE, TK_THROUGH, TK_TIME, TK_TIMEOUT, TK_TIMESTAMP, TK_TIMEZONE, TK_TO, TK_TOKEN, TK_TRAILING, TK_TRANSACTIONS, TK_TRANSFERRATE, TK_TRANSFORM, TK_TRANSFORMS, TK_TRANSLATE, TK_TREAT, TK_TRIGGER, TK_TRUE, TK_TRUNC, TK_TWOLEVEL, TK_TYPE, TK_TYPES, TK_UNBOUNDED, TK_UNCHECKED, TK_UNCOMMITTED, TK_UNDER, TK_UNDO, TK_UNICODE, TK_UNION, TK_UNIQUE, TK_UNLINK, TK_UNSIGNED_INTEGER, TK_UNTIL, TK_UPDATE, TK_UR, TK_URI, TK_URL, TK_USA, TK_USAGE, TK_USE, TK_USER, TK_USERID, TK_USING, TK_VALUE, TK_VALUES, TK_VARCHAR, TK_VARGRAPHIC, TK_VARIANT, TK_VARYING, TK_VCAT, TK_VERSION, TK_VERSION_IDENTIFIER, TK_VERTICAL_BAR, TK_VIEW, TK_VOLATILE, TK_WAIT, TK_WHEN, TK_WHERE, TK_WHILE, TK_WHITESPACE, TK_WITH, TK_WITHOUT, TK_WORK, TK_WRAPPER, TK_WRITE, TK_WRKSTNNAME, TK_X, TK_XACT, TK_XML, TK_XMLAGG, TK_XMLATTRIBUTES, TK_XMLBINARY, TK_XMLCAST, TK_XMLCOMMENT, TK_XMLCONCAT, TK_XMLDECLARATION, TK_XMLDOCUMENT, TK_XMLELEMENT, TK_XMLEXISTS, TK_XMLFOREST, TK_XMLNAMESPACES, TK_XMLPARSE, TK_XMLPI, TK_XMLQUERY, TK_XMLSCHEMA, TK_XMLSERIALIZE, TK_XMLTABLE, TK_XMLTEXT, TK_XMLVALIDATE, TK_YEAR, TK_YEARS, TK_YES`

Constructor Summary
`SQLXMLQueryParserprs()`

Method Summary
`int` `asb(int index)`
`int` `asi(int state)`
`int` `asr(int index)`
`int` `baseAction(int index)`
`int` `baseCheck(int index)`
`int` `defaultReduce(int index)`
`int` `defaultShift(int index)`
`int` `getAcceptAction()`
`boolean` `getBacktrack()`
`int` `getEoftSymbol()`
`int` `getEoltSymbol()`
`int` `getErrorAction()`
`int` `getErrorSymbol()`
`int` `getIdentifierSymbol()`
`int` `getLaStateOffset()`
`int` `getMaxLa()`
`int` `getMaxNameLength()`
`int` `getNtOffset()`
`int` `getNumNonterminals()`
`int` `getNumRules()`
`int` `getNumStates()`
`int` `getNumSymbols()`
`int` `getScopeSize()`
`int` `getScopeUbound()`
`int` `getSegmentSize()`
`int` `getStartState()`
`int` `getStartSymbol()`
`int` `inSymb(int index)`
`int` `inSymbol(int state)`
`boolean` `isKeyword(int index)`
`boolean` `isValidForParser()`
`int` `lhs(int index)`
`int` `lookAhead(int la_state, int sym)`
`java.lang.String` `name(int index)`
`int` `nasb(int index)`
`int` `nasi(int state)`
`int` `nasr(int index)`
`int` `nonterminalIndex(int index)`
`int` `ntAction(int state, int sym)`
`int` `originalState(int state)`
`int` `rhs(int index)`
`int` `scopeLa(int index)`
`int` `scopeLhs(int index)`
`int` `scopePrefix(int index)`
`int` `scopeRhs(int index)`
`int` `scopeState(int index)`
`int` `scopeStateSet(int index)`
`int` `scopeSuffix(int index)`
`int` `shiftCheck(int index)`
`int` `shiftState(int index)`
`int` `tAction(int state, int sym)`
`int` `termAction(int index)`
`int` `termCheck(int index)`
`int` `terminalIndex(int index)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isKeyword

    public static final byte[] isKeyword

### baseCheck

    public static final short[] baseCheck

### rhs

    public static final short[] rhs

### baseAction

    public static final char[] baseAction

### lhs

    public static final char[] lhs

### termCheck

    public static final char[] termCheck

### termAction

    public static final char[] termAction

### defaultReduce

    public static final char[] defaultReduce

### shiftState

    public static final char[] shiftState

### shiftCheck

    public static final char[] shiftCheck

### defaultShift

    public static final char[] defaultShift

### asb

    public static final char[] asb

### asr

    public static final char[] asr

### nasb

    public static final char[] nasb

### nasr

    public static final char[] nasr

### terminalIndex

    public static final char[] terminalIndex

### nonterminalIndex

    public static final char[] nonterminalIndex

### scopePrefix

    public static final char[] scopePrefix

### scopeSuffix

    public static final char[] scopeSuffix

### scopeLhs

    public static final char[] scopeLhs

### scopeLa

    public static final char[] scopeLa

### scopeStateSet

    public static final char[] scopeStateSet

### scopeRhs

    public static final char[] scopeRhs

### scopeState

    public static final char[] scopeState

### inSymb

    public static final char[] inSymb

### name

    public static final java.lang.String[] name

### ERROR_SYMBOL

    public static final int ERROR_SYMBOL

See Also:
  Constant Field Values

### SCOPE_UBOUND

    public static final int SCOPE_UBOUND

See Also:
  Constant Field Values

### SCOPE_SIZE

    public static final int SCOPE_SIZE

See Also:
  Constant Field Values

### MAX_NAME_LENGTH

    public static final int MAX_NAME_LENGTH

See Also:
  Constant Field Values

### NUM_STATES

    public static final int NUM_STATES

See Also:
  Constant Field Values

### NT_OFFSET

    public static final int NT_OFFSET

See Also:
  Constant Field Values

### LA_STATE_OFFSET

    public static final int LA_STATE_OFFSET

See Also:
  Constant Field Values

### MAX_LA

    public static final int MAX_LA

See Also:
  Constant Field Values

### NUM_RULES

    public static final int NUM_RULES

See Also:
  Constant Field Values

### NUM_NONTERMINALS

    public static final int NUM_NONTERMINALS

See Also:
  Constant Field Values

### NUM_SYMBOLS

    public static final int NUM_SYMBOLS

See Also:
  Constant Field Values

### SEGMENT_SIZE

    public static final int SEGMENT_SIZE

See Also:
  Constant Field Values

### START_STATE

    public static final int START_STATE

See Also:
  Constant Field Values

### IDENTIFIER_SYMBOL

    public static final int IDENTIFIER_SYMBOL

See Also:
  Constant Field Values

### EOFT_SYMBOL

    public static final int EOFT_SYMBOL

See Also:
  Constant Field Values

### EOLT_SYMBOL

    public static final int EOLT_SYMBOL

See Also:
  Constant Field Values

### ACCEPT_ACTION

    public static final int ACCEPT_ACTION

See Also:
  Constant Field Values

### ERROR_ACTION

    public static final int ERROR_ACTION

See Also:
  Constant Field Values

### BACKTRACK

    public static final boolean BACKTRACK

See Also:
  Constant Field Values

Constructor Detail

### SQLXMLQueryParserprs

    public SQLXMLQueryParserprs()

Method Detail

### isKeyword

    public final boolean isKeyword(int index)

### baseCheck

    public final int baseCheck(int index)

  Specified by:
    `baseCheck` in interface `lpg.lpgjavaruntime.ParseTable`

### rhs

    public final int rhs(int index)

  Specified by:
    `rhs` in interface `lpg.lpgjavaruntime.ParseTable`

### baseAction

    public final int baseAction(int index)

  Specified by:
    `baseAction` in interface `lpg.lpgjavaruntime.ParseTable`

### lhs

    public final int lhs(int index)

  Specified by:
    `lhs` in interface `lpg.lpgjavaruntime.ParseTable`

### termCheck

    public final int termCheck(int index)

  Specified by:
    `termCheck` in interface `lpg.lpgjavaruntime.ParseTable`

### termAction

    public final int termAction(int index)

  Specified by:
    `termAction` in interface `lpg.lpgjavaruntime.ParseTable`

### defaultReduce

    public final int defaultReduce(int index)

### shiftState

    public final int shiftState(int index)

### shiftCheck

    public final int shiftCheck(int index)

### defaultShift

    public final int defaultShift(int index)

### asb

    public final int asb(int index)

  Specified by:
    `asb` in interface `lpg.lpgjavaruntime.ParseTable`

### asr

    public final int asr(int index)

  Specified by:
    `asr` in interface `lpg.lpgjavaruntime.ParseTable`

### nasb

    public final int nasb(int index)

  Specified by:
    `nasb` in interface `lpg.lpgjavaruntime.ParseTable`

### nasr

    public final int nasr(int index)

  Specified by:
    `nasr` in interface `lpg.lpgjavaruntime.ParseTable`

### terminalIndex

    public final int terminalIndex(int index)

  Specified by:
    `terminalIndex` in interface `lpg.lpgjavaruntime.ParseTable`

### nonterminalIndex

    public final int nonterminalIndex(int index)

  Specified by:
    `nonterminalIndex` in interface `lpg.lpgjavaruntime.ParseTable`

### scopePrefix

    public final int scopePrefix(int index)

  Specified by:
    `scopePrefix` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeSuffix

    public final int scopeSuffix(int index)

  Specified by:
    `scopeSuffix` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeLhs

    public final int scopeLhs(int index)

  Specified by:
    `scopeLhs` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeLa

    public final int scopeLa(int index)

  Specified by:
    `scopeLa` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeStateSet

    public final int scopeStateSet(int index)

  Specified by:
    `scopeStateSet` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeRhs

    public final int scopeRhs(int index)

  Specified by:
    `scopeRhs` in interface `lpg.lpgjavaruntime.ParseTable`

### scopeState

    public final int scopeState(int index)

  Specified by:
    `scopeState` in interface `lpg.lpgjavaruntime.ParseTable`

### inSymb

    public final int inSymb(int index)

  Specified by:
    `inSymb` in interface `lpg.lpgjavaruntime.ParseTable`

### name

    public final java.lang.String name(int index)

  Specified by:
    `name` in interface `lpg.lpgjavaruntime.ParseTable`

### getErrorSymbol

    public final int getErrorSymbol()

  Specified by:
    `getErrorSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### getScopeUbound

    public final int getScopeUbound()

  Specified by:
    `getScopeUbound` in interface `lpg.lpgjavaruntime.ParseTable`

### getScopeSize

    public final int getScopeSize()

  Specified by:
    `getScopeSize` in interface `lpg.lpgjavaruntime.ParseTable`

### getMaxNameLength

    public final int getMaxNameLength()

  Specified by:
    `getMaxNameLength` in interface `lpg.lpgjavaruntime.ParseTable`

### getNumStates

    public final int getNumStates()

  Specified by:
    `getNumStates` in interface `lpg.lpgjavaruntime.ParseTable`

### getNtOffset

    public final int getNtOffset()

  Specified by:
    `getNtOffset` in interface `lpg.lpgjavaruntime.ParseTable`

### getLaStateOffset

    public final int getLaStateOffset()

  Specified by:
    `getLaStateOffset` in interface `lpg.lpgjavaruntime.ParseTable`

### getMaxLa

    public final int getMaxLa()

  Specified by:
    `getMaxLa` in interface `lpg.lpgjavaruntime.ParseTable`

### getNumRules

    public final int getNumRules()

  Specified by:
    `getNumRules` in interface `lpg.lpgjavaruntime.ParseTable`

### getNumNonterminals

    public final int getNumNonterminals()

  Specified by:
    `getNumNonterminals` in interface `lpg.lpgjavaruntime.ParseTable`

### getNumSymbols

    public final int getNumSymbols()

  Specified by:
    `getNumSymbols` in interface `lpg.lpgjavaruntime.ParseTable`

### getSegmentSize

    public final int getSegmentSize()

  Specified by:
    `getSegmentSize` in interface `lpg.lpgjavaruntime.ParseTable`

### getStartState

    public final int getStartState()

  Specified by:
    `getStartState` in interface `lpg.lpgjavaruntime.ParseTable`

### getStartSymbol

    public final int getStartSymbol()

  Specified by:
    `getStartSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### getIdentifierSymbol

    public final int getIdentifierSymbol()

### getEoftSymbol

    public final int getEoftSymbol()

  Specified by:
    `getEoftSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### getEoltSymbol

    public final int getEoltSymbol()

  Specified by:
    `getEoltSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### getAcceptAction

    public final int getAcceptAction()

  Specified by:
    `getAcceptAction` in interface `lpg.lpgjavaruntime.ParseTable`

### getErrorAction

    public final int getErrorAction()

  Specified by:
    `getErrorAction` in interface `lpg.lpgjavaruntime.ParseTable`

### isValidForParser

    public final boolean isValidForParser()

  Specified by:
    `isValidForParser` in interface `lpg.lpgjavaruntime.ParseTable`

### getBacktrack

    public final boolean getBacktrack()

  Specified by:
    `getBacktrack` in interface `lpg.lpgjavaruntime.ParseTable`

### originalState

    public final int originalState(int state)

  Specified by:
    `originalState` in interface `lpg.lpgjavaruntime.ParseTable`

### asi

    public final int asi(int state)

  Specified by:
    `asi` in interface `lpg.lpgjavaruntime.ParseTable`

### nasi

    public final int nasi(int state)

  Specified by:
    `nasi` in interface `lpg.lpgjavaruntime.ParseTable`

### inSymbol

    public final int inSymbol(int state)

  Specified by:
    `inSymbol` in interface `lpg.lpgjavaruntime.ParseTable`

### ntAction

    public final int ntAction(int state,
                              int sym)

  Specified by:
    `ntAction` in interface `lpg.lpgjavaruntime.ParseTable`

### tAction

    public final int tAction(int state,
                             int sym)

  Specified by:
    `tAction` in interface `lpg.lpgjavaruntime.ParseTable`

### lookAhead

    public final int lookAhead(int la_state,
                               int sym)

  Specified by:
    `lookAhead` in interface `lpg.lpgjavaruntime.ParseTable`